= truth

**Truth** is a command line tool to allow your Server Configuration Management
System  like [Puppet] [pu] or [Chef] [ch] be controlled in ad hoc fashion

Inspiration for this gem were following articles:

* [Puppet at Loggly](http://semicomplete.com/presentations/puppet-at-loggly/puppet-at-loggly.pdf.html) (the Machine Truth slide)
* [Noah](https://github.com/lusis/Noah) (Lightweight node and service registry based on Zookeeper)
* [Ad-Hoc Configuration, Coordination and the value of change](http://lusislog.blogspot.com/2011/03/ad-hoc-configuration-coordination-and.html) by John E. Vincent


Install Truth with Rubygems:

    gem install truth

Once installed, the `truth-client` command can be used to start the daemon

    truth-client /etc/truth/server.yml

  [pu]: http://www.puppetlabs.com/
  [ch]: http://www.opscode.com/chef/

  
Redis 2 is used as messaging middleware because of it's simplicity and author's familiarity with it


== Contributing to truth

* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it
* Fork the project
* Start a feature/bugfix branch
* Commit and push until you are happy with your contribution
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.


== Copyright

Copyright (c) 2011 Roman Heinrich. See LICENSE.txt for
further details.



# ####### Brainstorming....
# # publish servers.
#
# Playing with truth:
cat ~/.truth/config.yml
---
  redis_ip: 127.0.0.1
  hostname: cafe2

# > bin/truth-client ~/.truth
# > redis-cli
# .. publish truth-req.cafe2.add_info  "solr_version, 222"

# > redis-cli
# .. psubscribe truth-res.cafe2.*
